[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.CanFocus

True when the form can receive focus.

## Declaration

Source position: forms.pp line 726

`public function TCustomForm.CanFocus: Boolean; override;`

## Function result

True when the form can receive focus in the application.

## Description

CanFocus is an overridden Boolean function which indicates if the form instance can receive focus. The return value is True when the form is Visible and Enabled, or the inherited CanFocus method returns True.

CanFocus is used in the implementation of various methods in the class, including: SetWindowFocus, UpdateShowing, SetActiveControl, and Loaded.